<mat-form-field appearance="fill">
  <mat-label>{{fieldName}}</mat-label>
  <input
    matInput
    [placeholder]="fieldName"
    [formControl]="field"
    [type]="getFieldType(fieldName)"
    [mask]="getMaskType(fieldName)"
  />
  <mat-icon matSuffix *ngIf="field.valid" color="warn">check_circle</mat-icon>
  <mat-icon matSuffix *ngIf="field.invalid && field.touched" color="accent">error</mat-icon>
  <mat-error *ngIf="field.invalid">{{getErrorMessage()}}</mat-error>
</mat-form-field>
